<?php

class Wact_View_RootTestCase extends Wact_View_Scoped_Test {

    function setUp() {
        $this->view = new Wact_View_Root();
    }

    function testCapture() {
        $text = 'This is a test';
        $this->view->appendChild(new Wact_View_Literal($text));
        $this->assertEqual($this->view->capture(), $text);
    }

}

?>